Job Operation Tool Step
The job operation tool step resource.
Basehttps://rest.carbon.ms/jobOperationToolStep
GET
/jobOperationToolStepList job operation tool steps
Retrieve a paginated list of job operation tool steps. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/jobOperationToolStep
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationToolStep?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"jobOperationToolId": "xyz789",
"jobOperationStepId": "xyz789"
}
]GET
/jobOperationToolStepRetrieve a job operation tool step
Fetch a single job operation tool step by filtering on `jobOperationToolId`.
Query parameters
jobOperationToolIdstringMatch on the job operation tool step's `jobOperationToolId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/jobOperationToolStep
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationToolStep?jobOperationToolId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"jobOperationToolId": "xyz789",
"jobOperationStepId": "xyz789"
}POST
/jobOperationToolStepCreate a job operation tool step
Create a new job operation tool step.
POSThttps://rest.carbon.ms/jobOperationToolStep
curl --request POST \
--url https://rest.carbon.ms/jobOperationToolStep \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"jobOperationToolId":"xyz789"}'Response
{
"jobOperationToolId": "xyz789",
"jobOperationStepId": "xyz789"
}PATCH
/jobOperationToolStepUpdate a job operation tool step
Update an existing job operation tool step, matched on `jobOperationToolId`.
PATCHhttps://rest.carbon.ms/jobOperationToolStep
curl --request PATCH \
--url 'https://rest.carbon.ms/jobOperationToolStep?jobOperationToolId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"jobOperationToolId": "xyz789",
"jobOperationStepId": "xyz789"
}DELETE
/jobOperationToolStepDelete a job operation tool step
Delete a job operation tool step, matched on `jobOperationToolId`. Returns 204 No Content.
Query parameters
jobOperationToolIdstringThe `jobOperationToolId` of the job operation tool step to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/jobOperationToolStep
curl --request DELETE \
--url 'https://rest.carbon.ms/jobOperationToolStep?jobOperationToolId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content